org.apache.ignite.internal.cache.query.index.sorted

## Interface InlineIndexRowHandlerFactory

    public interface InlineIndexRowHandlerFactory

Basic interface for factories that provide InlineIndexRowHandler based on index definition and optional arguments.

### Method Summary

All Methods Instance Methods Abstract Methods
`InlineIndexRowHandler` `create(SortedIndexDefinition sdef, IndexKeyTypeSettings keyTypeSettings)` Creates instance of row handler.

### Method Detail

#### create

    InlineIndexRowHandler create(SortedIndexDefinition sdef,
                                 IndexKeyTypeSettings keyTypeSettings)
                          throws IgniteCheckedException

Creates instance of row handler.

Parameters:
  `sdef` - Index definition.
  `keyTypeSettings` - Index key type settings.
Returns:
  Index row handler.
Throws:
  `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021